#-------------------------------------------------
#
# Project created by QtCreator 2013-05-31T12:59:38
#
#-------------------------------------------------

QT += core gui xml svg network
contains(QT_MAJOR_VERSION, 5) {
  QT += widgets
  QT += printsupport
}
CONFIG(debug, debug|release) {
  DEBUG_EXT = _d
} else {
  DEBUG_EXT =
}

MOC_DIR      = moc
RCC_DIR      = resources
OBJECTS_DIR = obj

TEMPLATE = lib
TARGET = wfdisplay$${DEBUG_EXT}

unix:LIBS += -lelf

QMAKE_LFLAGS_RELEASE += --enable-auto-import
QMAKE_LFLAGS_DEBUG += --enable-auto-import

target.path = $$[QT_INSTALL_LIBS]
isEmpty(target.path) {
        target.path = $(QTDIR)/lib
}

header.path = $$[QT_INSTALL_HEADERS]/lppmon/wfdisplay
header.files = \
    wfdisplay.h \
    wfdisplay_global.h \
    wfpage.h \
    wfplot.h \
    wfdisplay_params.h \
    pagespectra.h \
    asmpage.h

INSTALLS += header target

INCLUDEPATH += \
        $${PWD} \
        $$[QT_INSTALL_HEADERS]/lppmon/common

HEADERS += wfdisplay.h\
    wfplot.h \
    wfpage.h \
    wfdisplay_params.h \
    pagespectra.h \
    asmpage.h

SOURCES += wfdisplay.cpp \
    wfplot.cpp \
    wfpage.cpp \
    pagespectra.cpp \
    asmpage.cpp

LIBS += -llppmoncommon

